Bug 1128133 - When the server use Redhat 6.1, the screen show the garbled
Summary: When the server use Redhat 6.1, the screen show the garbled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vgabios
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 11:17 UTC by huaweisns
Modified: 2014-09-01 13:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 13:18:05 UTC


Attachments (Terms of Use)

Description huaweisns 2014-08-08 11:17:42 UTC
Description of problem:
The server use Redhat Enterprise linux 5.3 is OK. When the server installed Redhat 6.1, the screen show the garbled.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
The server installed Redhat Enterprise linux 6.1, We found three issue as follows:

1.modify /boot/grub/menu.lst, add a line parameter "console = tty0 console = ttyS0,115200n8" to the kernel configuration, during the boot process the screen should print "press any key to continue", but the screen show the garbled "PrPrs s yyyy c ctitie.e."

2.use "ctrl + alt + f4" to switch to a text interface, and then log in the operating system to edit any file with vim, use the arrow keys to move the cursor down, the screen also show the garbled when page down. 

3.In text mode,use "ctrl + alt + f4" and "ctrl + alt + f2" to switch back and forth, the screen also show the garbled.

Actual results:
When use Redhat 6.1,the screen show the garbled.

Expected results:


Additional info:
PCIe packet analysis results is as follows:
When we are using the Redhat Enterprise Linux 5.3 version, we capture the display data  from output of the PCIE Interface, found the A0000/B0000 Bar access packet is within Dword, meets the VGA protocol standard; and the use of Redhat 6.x, found in the VIM edit mode page, display data packet output of the PCIE, found A0000/ B0000 Bar access Double Dword (64bit) which is in violation of the VGA standard.

Comment 2 Ademar Reis 2014-08-11 16:21:08 UTC
Can you tell us if you've tested any more recent version of RHEL6? RHEL-6.1 has reached End of Life. Can you please try RHEL-6.5?

Comment 3 huaweisns 2014-08-25 06:46:20 UTC
(In reply to Ademar Reis from comment #2)
> Can you tell us if you've tested any more recent version of RHEL6? RHEL-6.1
> has reached End of Life. Can you please try RHEL-6.5?


Hi, Ademar Reis


   We have try RHEL-6.5. 
   We find the same issue when log in the operating system to edit any file with vim in text mode, use the arrow keys to move the cursor down, the screen also show the garbled when page down.

   Please see the follow link:
   https://bugzilla.redhat.com/show_bug.cgi?id=1132826

Comment 4 Ademar Reis 2014-08-25 14:18:40 UTC
(In reply to huaweisns from comment #3)
> (In reply to Ademar Reis from comment #2)
> > Can you tell us if you've tested any more recent version of RHEL6? RHEL-6.1
> > has reached End of Life. Can you please try RHEL-6.5?
> 
> 
> Hi, Ademar Reis
> 
> 
>    We have try RHEL-6.5. 
>    We find the same issue when log in the operating system to edit any file
> with vim in text mode, use the arrow keys to move the cursor down, the
> screen also show the garbled when page down.
> 
>    Please see the follow link:
>    https://bugzilla.redhat.com/show_bug.cgi?id=1132826

So looks like you've diagnosed the problem in the kernel. Do you believe a fix in vgabios is also necessary, or can we close this vgabios BZ as a duplicate of Bug 1132826?

Comment 5 Gerd Hoffmann 2014-08-28 14:10:26 UTC
> So looks like you've diagnosed the problem in the kernel. Do you believe a
> fix in vgabios is also necessary, or can we close this vgabios BZ as a
> duplicate of Bug 1132826?

vgabios has rom images for virtual machines.  The report sounds like it talks about a physical machine having display problems.  In that case vgabios isn't involved at all.

Should that not be the case reopen the bug and follow up with details (host package versions, guest package versions, configuration etc).

Comment 6 huaweisns 2014-08-30 01:17:26 UTC
Hello Ademar Reis 

      We are concern about the Bug 1132826.
      Is there any update for the Bug 1132826?

Comment 7 Ademar Reis 2014-09-01 13:18:05 UTC
(In reply to huaweisns from comment #6)
> Hello Ademar Reis 
> 
>       We are concern about the Bug 1132826.
>       Is there any update for the Bug 1132826?

huaweisns: Yes, I see, but please keep the discussion about the problem there... 

Was there any reason for reopening this BZ? If you reopen again, please provide the information requested by Gerd in the previous comment. Besides, please don't use the POST status for BZs. Thanks.


Note You need to log in before you can comment on or make changes to this bug.